Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QNetworkProxy.ProxyType

    java.lang.Object
      java.lang.Enum<QNetworkProxy.ProxyType>
          com.trolltech.qt.network.QNetworkProxy.ProxyType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QNetworkProxy.ProxyType>

Enclosing class:
  QNetworkProxy

    public static enum QNetworkProxy.ProxyType

extends java.lang.Enum<QNetworkProxy.ProxyType>
implements QtEnumerator

This enum describes the types of network proxying provided in Qt.

While Socks5 proxying works for both Tcp and Udp sockets, Http proxying is limited to Tcp connections. Http proxying also doesn't support binding sockets.

See Also:
  `setType`, `type`

Enum Constant Summary
`DefaultProxy` Proxy is determined based on the application proxy set using `setApplicationProxy`
`HttpProxy` Http proxying is used
`NoProxy` No proxying is used
`Socks5Proxy` `Socks5` proxying is used

Method Summary
`static QNetworkProxy.ProxyType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkProxy.ProxyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QNetworkProxy.ProxyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultProxy

    public static final QNetworkProxy.ProxyType DefaultProxy

  Proxy is determined based on the application proxy set using `setApplicationProxy`

### Socks5Proxy

    public static final QNetworkProxy.ProxyType Socks5Proxy

  `Socks5` proxying is used

### NoProxy

    public static final QNetworkProxy.ProxyType NoProxy

  No proxying is used

### HttpProxy

    public static final QNetworkProxy.ProxyType HttpProxy

  Http proxying is used

Method Detail

### values

    public static final QNetworkProxy.ProxyType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QNetworkProxy.ProxyType c : QNetworkProxy.ProxyType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QNetworkProxy.ProxyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QNetworkProxy.ProxyType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD